package com.ruoyi.mingxue.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.TreeEntity;

/**
 * 操作手册对象 mxjb_operation_manual
 * 
 * @author mingxue
 * @date 2022-08-30
 */
public class MxjbOperationManual extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 1新高考选科、2新高考志愿、3新高考辅助、4大数据导学、5个人数据库、6个人导学 */
    @Excel(name = "1新高考选科、2新高考志愿、3新高考辅助、4大数据导学、5个人数据库、6个人导学")
    private String nameType;

    /** 阿里ID */
    @Excel(name = "阿里ID")
    private String aliId;

    /** 来源（pc端-front、app端-frontApp） */
    @Excel(name = "来源", readConverterExp = "p=c端-front、app端-frontApp")
    private String source;

    /** 资源大小 单位M */
    @Excel(name = "资源大小 单位M")
    private BigDecimal fileSize;

    /** 视频时长(s) */
    @Excel(name = "视频时长(s)")
    private Long duration;

    /** 封面url */
    @Excel(name = "封面url")
    private String coverUrl;

    /** 角色ID（3学生、4老师、5校长、12班主任） */
    @Excel(name = "角色ID", readConverterExp = "3=学生、4老师、5校长、12班主任")
    private String roleIds;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Long sort;

    /** 删除（1正常 0代表删除） */
    @Excel(name = "删除", readConverterExp = "1=正常,0=代表删除")
    private Long status;

    public MxjbOperationManual setId(Long id)
    {
        this.id = id;
        return this;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public MxjbOperationManual setNameType(String nameType)
    {
        this.nameType = nameType;
        return this;
    }

    public String getNameType() 
    {
        return nameType;
    }
    public void setAliId(String aliId) 
    {
        this.aliId = aliId;
    }

    public String getAliId() 
    {
        return aliId;
    }
    public MxjbOperationManual setSource(String source)
    {
        this.source = source;
        return this;
    }

    public String getSource() 
    {
        return source;
    }
    public void setFileSize(BigDecimal fileSize) 
    {
        this.fileSize = fileSize;
    }

    public BigDecimal getFileSize() 
    {
        return fileSize;
    }
    public void setDuration(Long duration) 
    {
        this.duration = duration;
    }

    public Long getDuration() 
    {
        return duration;
    }
    public void setCoverUrl(String coverUrl) 
    {
        this.coverUrl = coverUrl;
    }

    public String getCoverUrl() 
    {
        return coverUrl;
    }
    public MxjbOperationManual setRoleIds(String roleIds)
    {
        this.roleIds = roleIds;
        return this;
    }

    public String getRoleIds() 
    {
        return roleIds;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parentId", getParentId())
            .append("ancestors", getAncestors())
            .append("name", getName())
            .append("nameType", getNameType())
            .append("aliId", getAliId())
            .append("source", getSource())
            .append("fileSize", getFileSize())
            .append("duration", getDuration())
            .append("coverUrl", getCoverUrl())
            .append("roleIds", getRoleIds())
            .append("sort", getSort())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
